]> git.decadent.org.uk Git - dak.git/blobdiff - scripts/debian/byhand-task
Pass suite name to the autobyhand scripts
[dak.git] / scripts / debian / byhand-task
index b7f4f7a88566ecbe106dd41baae65a01090097d5..41f863c581befa127a3957633e7d223cd539ed77 100755 (executable)
@@ -1,13 +1,43 @@
-#!/bin/sh -ue
+#!/bin/bash
+
+set -u
+set -e
+set -o pipefail
+
+if [ $# -lt 5 ]; then
+        echo "Usage: $0 filename version arch changes_file suite"
+        exit 1
+fi
+
+export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
+. $SCRIPTVARS
+
+INPUT="$1"      # Tarball to read, compressed with gzip
+VERSION="$2"
+ARCH="$3"
+CHANGES="$4"    # Changes file for the upload
+SUITE="$5"
+
+error() {
+        echo "$*"
+        exit 1
+}
+
+case $SUITE in
+    unstable|sid)
+        : # OK for automated byband processing
+        ;;
+    *)
+        error "Reject: task overrides can only be processed automatically for uploads to unstable"
+        ;;
+esac
 
-# Tarball to read, compressed with gzip
-INPUT="${1:?"Usage: $0 filename"}"
 
 # Regular expression used to validate tag lines
 CHECKRE='^[a-z0-9A-Z.+-]+[[:space:]]+Task[[:space:]]+[a-z0-9:. ,{}+-]+$'
 
 # This must end with /
-TARGET=/srv/ftp.debian.org/scripts/external-overrides/
+TARGET=/srv/ftp-master.debian.org/scripts/external-overrides/
 
 # Read the main directory from the tarball
 DIR="`tar ztf \"$INPUT\" | tac | tail -n 1`"
@@ -30,7 +60,8 @@ mv "$OUTMAIN"           "$TARGET"task
 
 chmod 644 "$TARGET"task
 
-(cd $TARGET && ./mk-extra-overrides.sh)
+dak external-overrides import unstable main Task <"$TARGET"task
+dak external-overrides copy unstable testing
 
 trap - EXIT